
Katello - Bug #4046

fix pylint issues for CLI

01/16/2014 05:47 PM - Katello Issue Migration

Status: Rejected   

Priority: Normal   

Assignee: Partha Aji   

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Katello-cli is unable to use the pylint version that gets shipped with fedora 18, causing the fc19 build to fail. Some of the errors

obtained by py lint are listed below.

```

cd /builddir/build/BUILD

+ cd katello-cli-1.5.2

+ PYTHONPATH=src/

+ pylint --rcfile=./etc/spacewalk-pylint.rc --additional-builtins=_ katello

Module katello.client.completion

C: 19, 0: Old-style class defined. (old-style-class)

Module katello.client.config

C: 55, 0: Trailing whitespace (trailing-whitespace)

Module katello.client.lib.async

C:127, 0: Trailing whitespace (trailing-whitespace)

C:129, 0: Trailing whitespace (trailing-whitespace)

C: 46, 0: Old-style class defined. (old-style-class)

Module katello.client.lib.rpm_utils

I: 33, 0: Used deprecated directive "pylint:disable-all" or "pylint:disable=all" (deprecated-disable-all)

I: 33, 0: Ignoring entire file (file-ignored)

Module katello.client.lib.puppet_utils

I: 36, 0: Used deprecated directive "pylint:disable-all" or "pylint:disable=all" (deprecated-disable-all)

I: 36, 0: Ignoring entire file (file-ignored)

Module katello.client.lib.ui.printer

C:313, 0: Old-style class defined. (old-style-class)

Module katello.client.core.node

C:118, 0: Trailing whitespace (trailing-whitespace)

C:155, 0: Trailing whitespace (trailing-whitespace)

Module katello.client.core.base

C:528, 0: Line too long (145/120) (line-too-long)

C:568, 0: Line too long (126/120) (line-too-long)

Module katello.client.core.task

W: 64,20: map/filter on lambda could be replaced by comprehension (deprecated-lambda)

W: 66,20: map/filter on lambda could be replaced by comprehension (deprecated-lambda)

Module katello.client.api.node

C: 26, 0: Trailing whitespace (trailing-whitespace)

Module katello.client.api.permission

C: 23, 0: Trailing whitespace (trailing-whitespace)

Module katello.client.api.job

C: 24, 0: Trailing whitespace (trailing-whitespace)

RPM build errors:

```

We need to fix this and remove the code that bars pylint from running for F19 in the katello-cli spec .

Created: parthaa on October 18, 2013 19:44 +00:00
History

#1 - 01/16/2014 06:18 PM - David Davis

- Assignee set to Partha Aji

#2 - 03/24/2014 04:30 AM - Mike McCune

- Status changed from New to Rejected

- Triaged set to No

not applicable with the move to hammer

#3 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 07:49 AM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 03/21/2015 11:04 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#6 - 06/22/2016 02:20 PM - Justin Sherrill

- translation missing: en.field_release set to 166
